class DeleteServiceWorker
  include Sidekiq::Worker

  # @param [Service] service
  def self.enqueue(service_id)
    perform_async(service_id)
  end

  # @param [Integer] id
  def perform(id)
    service = Service.find(id)
    service.destroy!
  end
end
